spring:
  datasource:
    dynamic:
        primary: master
        datasource:
          master:
#mysql数据源配置
            username: eapuser
            password: Eapuser,,123
            driver-class-name: com.mysql.jdbc.Driver
            url: jdbc:mysql://192.168.4.86:3306/admin_eap5csxm?useUnicode=true&characterEncoding=UTF-8&useSSL=false&zeroDateTimeBehavior=convertToNull&allowMultiQueries=true&serverTimezone=Asia/Shanghai&socketTimeout=60000&rewriteBatchedStatements=true

#oracle数据源配置
#            username: c##eapuser
#            password: eapuser
#            driver-class-name: oracle.jdbc.driver.OracleDriver
#            url: jdbc:oracle:thin:@192.168.4.120:1521/tjjw5

#sqlserver数据源配置
#            username: bapuser
#            password: bapuser,,123
#            driver-class-name: com.microsoft.sqlserver.jdbc.SQLServerDriver
#            url: jdbc:sqlserver://192.168.4.81:3433;Database=test01

        druid:
          #初始化时建立物理连接的个数。初始化发生在显示调用init方法，或者第一次getConnection时
          initial-size: 20
          #最小连接池数量
          min-idle: 20
          #最大连接池数量 maxIdle已经不再使用
          max-active: 100
          #获取连接时最大等待时间，单位毫秒。配置了maxWait之后，缺省启用公平锁，并发效率会有所下降，如果需要可以通过配置useUnfairLock属性为true使用非公平锁，单位毫秒
          max-wait: 60000

          #数据库服务宕机自动重连机制，true为中断不重连，默认false，一直重连
          break-after-acquire-failure: false
          #连接出错后再尝试连接次数，默认1
          connection-error-retry-attempts: 1